%define _requires_exceptions pkgconfig.libxml-2.0

%define url_ver %(echo %version | cut -d. -f1,2)

Summary:		GNOME XML documentation utilities 
Name:			gnome-doc-utils
Version:		0.20.10
Release:		%mkrel 2
Source0:		http://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) use catalog for dtd validation (GNOME bug #497055)
Patch0:			gnome-doc-utils-0.12.1-catalog.patch
License:		LGPLv2+ and GPLv2+
Group:			Publishing
Url:			http://www.gnome.org
BuildArch:		noarch
BuildRequires:		libxslt-devel
BuildRequires:		libxslt-proc
BuildRequires:		python-libxml2
BuildRequires:		glib-gettextize
BuildRequires:		scrollkeeper
BuildRequires:		docbook-dtd44-xml
BuildRequires:		intltool
BuildRequires:		gettext-devel
Requires:		libxslt-proc
Requires:		libxml2-utils
Requires:		python-libxml2
Requires(post): 	scrollkeeper
Requires(postun):	scrollkeeper
Requires:		docbook-dtd44-xml
Requires:		docbook-dtd412-xml

%description
gnome-doc-utils is a collection of documentation utilities for the Gnome
project.  Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT stylesheets that were once distributed with Yelp.

%prep
%setup -q
%patch0 -p1 -b .catalog

intltoolize --force
#needed by patch0
aclocal -I tools -I m4
autoconf
automake -a -c

%build

%configure2_5x \
	--build=%{_build} \
	--disable-scrollkeeper \
	--enable-documentation

%make

%check
%make check

%install
rm -rf %{buildroot}
%makeinstall_std pkgconfigdir=%{_datadir}/pkgconfig/

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_datadir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/%{name}
%dir %{_datadir}/xml/
%{_datadir}/xml/gnome
%{_datadir}/xml/mallard
%{_mandir}/man1/xml2po.1*
%{py_puresitedir}/xml2po/


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.20.10-2.mga3
+ Revision: 352111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 26 2012 ovitters <ovitters> 0.20.10-1.mga2
+ Revision: 226824
- new version 0.20.10

* Wed Mar 21 2012 ovitters <ovitters> 0.20.9-1.mga2
+ Revision: 225222
- update file list
- new version 0.20.9
- new version 0.20.8

* Tue Mar 06 2012 fwang <fwang> 0.20.7-2.mga2
+ Revision: 220237
- rebuild for new missing packages

* Fri Mar 02 2012 ovitters <ovitters> 0.20.7-1.mga2
+ Revision: 216939
- update file list
- update file list
- enable documentation
- update buildrequires
- new version 0.20.7
- use xz tarball
- clean spec

* Sat Jul 02 2011 wally <wally> 0.20.6-1.mga2
+ Revision: 117507
- new version 0.20.6
- use configure2_5x macro (and workaround noarch build failure)
- clean .spec a bit

* Sat Mar 26 2011 pterjan <pterjan> 0.20.5-1.mga1
+ Revision: 77798
- Update to 0.20.5

* Sun Jan 16 2011 pterjan <pterjan> 0.20.3-3.mga1
+ Revision: 20620
- Rebuild for python 2.7

* Sun Jan 09 2011 blino <blino> 0.20.3-2.mga1
+ Revision: 3275
- remove old define and comment
- imported package gnome-doc-utils

